Bug 1475430 - [abrt] festival: EST_Item::EST_Item(): festival killed by SIGSEGV
[abrt] festival: EST_Item::EST_Item(): festival killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: festival (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bddc39d49cc325258f4669b22ab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 12:32 EDT by igiwatson
Modified: 2017-12-12 05:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:19:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.18 KB, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: cgroup (242 bytes, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: core_backtrace (3.57 KB, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: dso_list (4.02 KB, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: environ (5.16 KB, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: maps (19.21 KB, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: mountinfo (3.56 KB, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: open_fds (320 bytes, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details
File: var_log_messages (308 bytes, text/plain)
2017-07-26 12:33 EDT, igiwatson
no flags Details

  None (edit)
Description igiwatson 2017-07-26 12:32:58 EDT
Description of problem:
I just ran,
echo "hello" | festival --tts

Version-Release number of selected component:
festival-1.96-32.fc24

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        festival --tts
crash_function: EST_Item::EST_Item
executable:     /usr/bin/festival
global_pid:     5103
kernel:         4.11.11-200.fc25.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1004

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 EST_Item::EST_Item at EST_Item.cc:167
 #1 EST_Relation::append at EST_Relation.cc:98
 #2 add_token at text_aux.cc:47
 #3 tts_chunk_stream at text.cc:242
 #4 tts_file_raw at text.cc:169
 #5 tts_file at text.cc:106
 #6 leval at slib.cc:1390
 #7 festival_eval_command at festival.cc:182
 #8 festival_say_file at festival.cc:235
 #9 ??

Potential duplicate: bug 1461366
Comment 1 igiwatson 2017-07-26 12:33:04 EDT
Created attachment 1304904 [details]
File: backtrace
Comment 2 igiwatson 2017-07-26 12:33:05 EDT
Created attachment 1304905 [details]
File: cgroup
Comment 3 igiwatson 2017-07-26 12:33:06 EDT
Created attachment 1304906 [details]
File: core_backtrace
Comment 4 igiwatson 2017-07-26 12:33:08 EDT
Created attachment 1304907 [details]
File: dso_list
Comment 5 igiwatson 2017-07-26 12:33:09 EDT
Created attachment 1304908 [details]
File: environ
Comment 6 igiwatson 2017-07-26 12:33:10 EDT
Created attachment 1304909 [details]
File: exploitable
Comment 7 igiwatson 2017-07-26 12:33:11 EDT
Created attachment 1304910 [details]
File: limits
Comment 8 igiwatson 2017-07-26 12:33:13 EDT
Created attachment 1304911 [details]
File: maps
Comment 9 igiwatson 2017-07-26 12:33:14 EDT
Created attachment 1304912 [details]
File: mountinfo
Comment 10 igiwatson 2017-07-26 12:33:15 EDT
Created attachment 1304913 [details]
File: namespaces
Comment 11 igiwatson 2017-07-26 12:33:16 EDT
Created attachment 1304914 [details]
File: open_fds
Comment 12 igiwatson 2017-07-26 12:33:18 EDT
Created attachment 1304915 [details]
File: proc_pid_status
Comment 13 igiwatson 2017-07-26 12:33:19 EDT
Created attachment 1304916 [details]
File: var_log_messages
Comment 14 igiwatson 2017-07-26 12:39:33 EDT
Looks like 1457878
Comment 15 Fedora End Of Life 2017-11-16 09:19:26 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-12-12 05:19:57 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.